<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:07 CET 2009 -->
<TITLE>
ModIntPrimePreprocessedMatrix
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.rankup.modpi.ModIntPrimePreprocessedMatrix class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ModIntPrimePreprocessedMatrix";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ModIntPrimePreprocessedMatrix.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimeMatrixFactory.html" title="class in ch.javasoft.metabolic.efm.rankup.modpi"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ModIntPrimePreprocessedMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.rankup.modpi</FONT>
<BR>
Class ModIntPrimePreprocessedMatrix</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.metabolic.efm.rankup.modpi.ModIntPrimePreprocessedMatrix</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrix</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#line.49"><B>ModIntPrimePreprocessedMatrix</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrix</A></DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#ModIntPrimePreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.modpi.ModIntPrimePreprocessedMatrix)">ModIntPrimePreprocessedMatrix</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup.modpi">ModIntPrimePreprocessedMatrix</A>&nbsp;copyOf)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for cloning</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#ModIntPrimePreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.PreprocessableMatrix, ch.javasoft.metabolic.efm.rankup.RankUpRoot)">ModIntPrimePreprocessedMatrix</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup">PreprocessableMatrix</A>&nbsp;owner,
                                                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for root matrix (has no parent)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#ModIntPrimePreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.PreprocessableMatrix, ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.metabolic.efm.rankup.modpi.ModIntPrimePreprocessedMatrix)">ModIntPrimePreprocessedMatrix</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup">PreprocessableMatrix</A>&nbsp;owner,
                                                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                                                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup.modpi">ModIntPrimePreprocessedMatrix</A>&nbsp;parentProcessed)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for child matrix (has parent)</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup.modpi">ModIntPrimePreprocessedMatrix</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#getMaxRank()">getMaxRank</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#hasRequiredRank(ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.bitset.IBitSet)">hasRequiredRank</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                               <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;intersectionSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ModIntPrimePreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.modpi.ModIntPrimePreprocessedMatrix)"><!-- --></A><H3>
ModIntPrimePreprocessedMatrix</H3>
<PRE>
public <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#line.91"><B>ModIntPrimePreprocessedMatrix</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup.modpi">ModIntPrimePreprocessedMatrix</A>&nbsp;copyOf)</PRE>
<DL>
<DD>Constructor for cloning
<P>
</DL>
<HR>

<A NAME="ModIntPrimePreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.PreprocessableMatrix, ch.javasoft.metabolic.efm.rankup.RankUpRoot)"><!-- --></A><H3>
ModIntPrimePreprocessedMatrix</H3>
<PRE>
public <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#line.100"><B>ModIntPrimePreprocessedMatrix</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup">PreprocessableMatrix</A>&nbsp;owner,
                                     <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root)</PRE>
<DL>
<DD>Constructor for root matrix (has no parent)
<P>
</DL>
<HR>

<A NAME="ModIntPrimePreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.PreprocessableMatrix, ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.metabolic.efm.rankup.modpi.ModIntPrimePreprocessedMatrix)"><!-- --></A><H3>
ModIntPrimePreprocessedMatrix</H3>
<PRE>
public <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#line.117"><B>ModIntPrimePreprocessedMatrix</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup">PreprocessableMatrix</A>&nbsp;owner,
                                     <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                                     <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup.modpi">ModIntPrimePreprocessedMatrix</A>&nbsp;parentProcessed)</PRE>
<DL>
<DD>Constructor for child matrix (has parent)
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="hasRequiredRank(ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
hasRequiredRank</H3>
<PRE>
public boolean <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#line.129"><B>hasRequiredRank</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                               <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;intersectionSet)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html#hasRequiredRank(ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.bitset.IBitSet)">hasRequiredRank</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxRank()"><!-- --></A><H3>
getMaxRank</H3>
<PRE>
public int <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#line.138"><B>getMaxRank</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#line.146"><B>toString</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup.modpi">ModIntPrimePreprocessedMatrix</A> <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#line.151"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrix</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ModIntPrimePreprocessedMatrix.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimeMatrixFactory.html" title="class in ch.javasoft.metabolic.efm.rankup.modpi"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ModIntPrimePreprocessedMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
